<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [KarmaRequirement](./bitburner.karmarequirement.md)

## KarmaRequirement interface

Player must have less than this much karma.

**Signature:**

```typescript
interface KarmaRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [karma](./bitburner.karmarequirement.karma.md) |  | number |  |
|  [type](./bitburner.karmarequirement.type.md) |  | "karma" |  |

